# FFTW_INCLUDE_DIR = fftw3.h
# FFTW_LIBRARIES = libfftw3
# FFTW_FOUND = true if FFTW3 is found


FIND_PATH(FFTW_INCLUDE_DIR fftw3.h HINTS "${WITH_FFTW}/../include" )
FIND_LIBRARY(FFTW_LIBRARY fftw3 HINTS "${WITH_FFTW}" ) 
include(LibFindMacros)
libfind_process(FFTW)


IF(FFTW_INCLUDE_DIR AND FFTW_LIBRARY)
  MESSAGE(STATUS "FFTW_INCLUDE_DIR=${FFTW_INCLUDE_DIR}")
  MESSAGE(STATUS "FFTW_LIBRARY=${FFTW_LIBRARY}")
  set(FFTW_FOUND TRUE)
ELSE()
  IF(FFTW_FIND_REQUIRED)
    MESSAGE(FATAL_ERROR "FFTW required, please specify its location.")
  ELSE()
    MESSAGE(STATUS      "FFTW was not found.")
  ENDIF()
ENDIF()


# MARK_AS_ADVANCED(FFTW_INCLUDE_DIR FFTW_LIBRARY)
